## Error codes

Error codes

## Types and Values

#define | FLATPAK_ERROR
enum | FlatpakError
#define | FLATPAK_PORTAL_ERROR
enum | FlatpakPortalError

## Description

The FlatpakError and FlatpakPortalError enumerations contain error codes for some common errors.

## Functions

## Types and Values

### FLATPAK_ERROR

    #define FLATPAK_ERROR flatpak_error_quark ()

The error domain for FlatpakError errors.

### enum FlatpakError

Error codes for library functions.

#### Members

FLATPAK_ERROR_ALREADY_INSTALLED | App/runtime is already installed |
FLATPAK_ERROR_NOT_INSTALLED | App/runtime is not installed |
FLATPAK_ERROR_ONLY_PULLED | App/runtime was only pulled into the local repository but not installed. |
FLATPAK_ERROR_DIFFERENT_REMOTE | The App/Runtime is already installed, but from a different remote. |
FLATPAK_ERROR_ABORTED | The transaction was aborted (returned `TRUE` in operation-error signal). |
FLATPAK_ERROR_SKIPPED | The App/Runtime install was skipped due to earlier errors. |
FLATPAK_ERROR_NEED_NEW_FLATPAK | The App/Runtime needs a more recent version of flatpak. |
FLATPAK_ERROR_REMOTE_NOT_FOUND | The specified remote was not found. |
FLATPAK_ERROR_RUNTIME_NOT_FOUND | A runtime needed for the app was not found. |
FLATPAK_ERROR_DOWNGRADE | The pulled commit is a downgrade, and a downgrade wasn't specifically allowed. (Since: 1.0) |
FLATPAK_ERROR_INVALID_REF | A ref could not be parsed. (Since: 1.0.3) |
FLATPAK_ERROR_INVALID_DATA | Invalid data. (Since: 1.0.3) |
FLATPAK_ERROR_UNTRUSTED | Missing GPG key or signature. (Since: 1.0.3) |
FLATPAK_ERROR_SETUP_FAILED | Sandbox setup failed. (Since: 1.0.3) |
FLATPAK_ERROR_EXPORT_FAILED | Exporting data failed. (Since: 1.0.3) |
FLATPAK_ERROR_REMOTE_USED | Remote can't be uninstalled. (Since: 1.0.3) |
FLATPAK_ERROR_RUNTIME_USED | Runtime can't be uninstalled. (Since: 1.0.3) |
FLATPAK_ERROR_INVALID_NAME | Application, runtime or remote name is invalid. (Since: 1.0.3) |
FLATPAK_ERROR_OUT_OF_SPACE | More disk space needed. (Since: 1.2.0) |
FLATPAK_ERROR_WRONG_USER | An operation is being attempted by the wrong user (such as root operating on a user installation). (Since: 1.2.0) |
FLATPAK_ERROR_NOT_CACHED | Cached data was requested, but it was not available. (Since: 1.4.0) |
FLATPAK_ERROR_REF_NOT_FOUND | The specified ref was not found. (Since: 1.4.0) |
FLATPAK_ERROR_PERMISSION_DENIED | An operation was not allowed by the administrative policy. For example, an app is not allowed to be installed due to not complying with the parental controls policy. (Since: 1.5.1) |

### FLATPAK_PORTAL_ERROR

    #define FLATPAK_PORTAL_ERROR flatpak_portal_error_quark ()

The error domain for FlatpakPortalError errors.

### enum FlatpakPortalError

Error codes returned by portal calls.

#### Members

FLATPAK_PORTAL_ERROR_FAILED | General portal failure |
FLATPAK_PORTAL_ERROR_INVALID_ARGUMENT | An argument was invalid |
FLATPAK_PORTAL_ERROR_NOT_FOUND | The object was not found |
FLATPAK_PORTAL_ERROR_EXISTS | The object already exists |
FLATPAK_PORTAL_ERROR_NOT_ALLOWED | The call was not allowed |
FLATPAK_PORTAL_ERROR_CANCELLED | The call was cancelled by the user |
FLATPAK_PORTAL_ERROR_WINDOW_DESTROYED | The window was destroyed by the user |